﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Unitronics.ComDriver;


namespace Unitronics.ComConfig.Lite
{
    public class Favorites
    {
        private List<PlcComConfig> m_ConnectionsList;
        public Favorites()
        {
            m_ConnectionsList = new List<PlcComConfig>();
        }

        public List<PlcComConfig> ConnectionsList
        {
            get
            {
                return m_ConnectionsList;
            }
            set
            {
                m_ConnectionsList = value;
            }
        }

        internal List<PlcComConfig> FilteredConnections(List<ComConfig.Channels> supportedChannels)
        {
            List<PlcComConfig> result = new List<PlcComConfig>();

            for (int i = 0; i < m_ConnectionsList.Count(); i++)
            {
                if (m_ConnectionsList[i].Channel is Serial)
                {
                    if (supportedChannels.Contains(ComConfig.Channels.Serial))
                    {
                        result.Add(m_ConnectionsList[i]);
                    }
                }
                else if (m_ConnectionsList[i].Channel is Ethernet)
                {
                    if (supportedChannels.Contains(ComConfig.Channels.Ethernet))
                    {
                        result.Add(m_ConnectionsList[i]);
                    }
                }
                else if (m_ConnectionsList[i].Channel is EthernetListener)
                {
                    if (supportedChannels.Contains(ComConfig.Channels.EthernetListener))
                    {
                        result.Add(m_ConnectionsList[i]);
                    }
                }
            }
            return result;
        }
    }
}
