﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Unitronics.ComConfig.Lite.Globals {

    public enum enConnectionType : int {
        eCT_Serial = 0,
        eCT_EthCall = 1,
        eCT_EthListen = 2
    }

    public delegate void ValueChangedEventHandler<T>(object sender, ValueChangedEventArgs<T> e);
    public delegate Unitronics.ComDriver.PlcVersion GetPlcVersionHandler();

    public class ValueChangedEventArgs<T> : EventArgs {

        internal T Value { get; private set; }

        internal ValueChangedEventArgs(T pValue)
            : base() {
            Value  = pValue;
        }
    }
}
