﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Unitronics.ComConfig.Lite
{
    internal partial class FavoritesEdit : Form
    {
        public bool OkClicked = false;
        public FavoritesEdit()
        {
            InitializeComponent();
        }

        public void SetView(IChannelView view)
        {
            pnlMain.Controls.Clear();
            pnlMain.Controls.Add((Control)view);
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            OkClicked = true;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            OkClicked = false;
            this.Close();
        }

        private void FavoritesEdit_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
            {
                OkClicked = false;
                this.Close();
            }
        }
    }
}
