﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Unitronics.SdCardExplorer.Lite
{
    public partial class frmFilesProperties : Form
    {
        private int m_NumOfFiles = 0;
        private int m_NumOfFoldres = 0;
        
        public int NumOfFiles
        {
            get
            {
                return m_NumOfFiles;
            }
            set
            {
                m_NumOfFiles = value;
                setHeadCountText();
            }
        }

        public int NumOfFoldres
        {
            get
            {
                return m_NumOfFoldres;
            }
            set
            {
                m_NumOfFoldres = value;
                setHeadCountText();
            }
        }

        public string FilesLocation
        {
            set
            {
                lblLocation.Text = value;
            }
        }

        public long Size
        {
            set
            {
                lblSize.Text = string.Format("{0:0,0}", value) + " Bytes";
            }
        }

        private void setHeadCountText()
        {
            lblHeadCount.Text = m_NumOfFiles.ToString();
            if (m_NumOfFiles == 1)
            {
                lblHeadCount.Text += " File, ";
            }
            else
            {
                lblHeadCount.Text += " Files, ";
            }

            lblHeadCount.Text += m_NumOfFoldres.ToString();
            if (m_NumOfFoldres == 1)
            {
                lblHeadCount.Text += " Folders";
            }
            else
            {
                lblHeadCount.Text += " Folders";
            }
        }

        public frmFilesProperties()
        {
            InitializeComponent();
        }

        private void frmFilesProperties_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
                this.Close();
        }
    }
}
